Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.webui
Class Help

    java.lang.Object
      org.meshcms.webui.Help

public class Help
extends java.lang.Object

Field Summary
`static java.lang.String` | `CONFIGURE`
`static java.lang.String` | `CONTROL_PANEL`
`static java.lang.String` | `EDIT_PAGE`
`static java.lang.String` | `EDIT_PROFILE`
`static java.lang.String` | `FILE_MANAGER`
`static java.lang.String` | `MODULES`
`static java.lang.String` | `NEW_PAGE`
`static java.lang.String` | `NEW_USER`
`static java.lang.String` | `PAGE_MANAGER`
`static java.lang.String` | `SITE_MANAGER`
`static java.lang.String` | `SITE_SYNC`
`static java.lang.String` | `STATIC_EXPORT`
`static java.lang.String` | `UNZIP`
`static java.lang.String` | `UPLOAD`

Method Summary
`static java.lang.String` | `getHelpLang(WebSite webSite, UserInfo userInfo)`
`static java.lang.String` | `icon(WebSite webSite, Path pagePath, java.lang.String argument, UserInfo userInfo)` Creates the HTML used to display the help icon in the admin pages.
`static java.lang.String` | `icon(WebSite webSite, Path pagePath, java.lang.String argument, UserInfo userInfo, java.lang.String anchor, boolean grayIcon)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIGURE

    public static final java.lang.String CONFIGURE

See Also:
  Constant Field Values

### CONTROL_PANEL

    public static final java.lang.String CONTROL_PANEL

See Also:
  Constant Field Values

### EDIT_PAGE

    public static final java.lang.String EDIT_PAGE

See Also:
  Constant Field Values

### EDIT_PROFILE

    public static final java.lang.String EDIT_PROFILE

See Also:
  Constant Field Values

### FILE_MANAGER

    public static final java.lang.String FILE_MANAGER

See Also:
  Constant Field Values

### PAGE_MANAGER

    public static final java.lang.String PAGE_MANAGER

See Also:
  Constant Field Values

### NEW_PAGE

    public static final java.lang.String NEW_PAGE

See Also:
  Constant Field Values

### NEW_USER

    public static final java.lang.String NEW_USER

See Also:
  Constant Field Values

### SITE_MANAGER

    public static final java.lang.String SITE_MANAGER

See Also:
  Constant Field Values

### STATIC_EXPORT

    public static final java.lang.String STATIC_EXPORT

See Also:
  Constant Field Values

### UNZIP

    public static final java.lang.String UNZIP

See Also:
  Constant Field Values

### UPLOAD

    public static final java.lang.String UPLOAD

See Also:
  Constant Field Values

### MODULES

    public static final java.lang.String MODULES

See Also:
  Constant Field Values

### SITE_SYNC

    public static final java.lang.String SITE_SYNC

See Also:
  Constant Field Values

Method Detail

### icon

    public static java.lang.String icon(WebSite webSite,
                                        Path pagePath,
                                        java.lang.String argument,
                                        UserInfo userInfo)

  Creates the HTML used to display the help icon in the admin pages.

### icon

    public static java.lang.String icon(WebSite webSite,
                                        Path pagePath,
                                        java.lang.String argument,
                                        UserInfo userInfo,
                                        java.lang.String anchor,
                                        boolean grayIcon)

### getHelpLang

    public static java.lang.String getHelpLang(WebSite webSite,
                                               UserInfo userInfo)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD